{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
	        <link rel="stylesheet" type="text/css" href="{% static 'vendor/bootstrap/css/bootstrap.min.css' %}"/>
              <link rel="icon" href="{% static 'images/logo-head.PNG' %}">
 	<meta http-equiv="Content-Type" content="text/html"; charset="utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />
<!--===============================================================================================-->	
<!--===============================================================================================-->

<style>
.highcharts-background{
fill:green;
}

.outer {
	width: 450px;
	height: 100px;
	margin: 0 auto;
	background-color:red;
border:solid
}

.outer .chart-container {
	width: 50%;
	float: right;
	height: 100%;
}

.outer .mychart{
width:50%;

float:left;
}
 

.highcharts-yaxis-grid .highcharts-grid-line {
	display: none;	
}
#see{
cursor:pointer

}
</style>

<script src="{% static 'vendor/jquery/jquery-3.2.1.min.js' %}"></script>
<script src="https://code.highcharts.com/highcharts.js"></script>
<script src="https://code.highcharts.com/highcharts-more.js"></script>
<script src="https://code.highcharts.com/modules/solid-gauge.js"></script>

</head>
<body id="bdy"> 
<div id="account">
</div>






<br />
<div align="center">
<button type="button" id="see" class="btn btn-secondary" style="background-color: blue" onclick="more()">See More</button>
</div>

<script>
source=window.location.toString()
source=source.replace("account","account_data")
var bdy=document.getElementById("bdy")
var cnt=0
var gaugeOptions = {

    chart: {
        type: 'solidgauge'
    },

    title: null,

    pane: {
        center: ['50%', '85%'],
        size: '140%',
        startAngle: -90,
        endAngle: 90,
        background: {
            backgroundColor:
                Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
            innerRadius: '60%',
            outerRadius: '100%',
            shape: 'arc'
        }
    },

    tooltip: {
        enabled: false
    },

    // the value axis
    yAxis: {
        stops: [
            [0.1, '#55BF3B'], // green
            [0.5, '#DDDF0D'], // yellow
            [0.75, '#FFA500'], // orange
            [0.85, '#FF4500'], // orangered
            [0.9, '#DF5353'] // red
        ],
        lineWidth: 0,
        minorTickInterval: null,
        tickAmount: 2,
        title: {
			y: -40
        },
        labels: {
            y: 16
        }
    },

    plotOptions: {
        solidgauge: {
            dataLabels: {
                y: -25,
				x:  150,
                borderWidth: 0,
                useHTML: true
            }
        }
    }
};


more()

function more(){
bdy.style.display="none"
$.getJSON(source+cnt, function(account) {
if(account.length==0){
bdy.style.display=""
document.getElementById("see").remove()
}

else{
for (var i=0;i< account.length;i++){
bdy.style.display=""
var div=document.createElement("div")
div.classList.add("outer")
src="javascript:window.open('https://twitter.com/"+account[i][1]+"')"
div.setAttribute("onclick",src)
div.style.cursor="pointer"
if(account[i][2]==1){
div.style.backgroundColor="red"
}
else if(account[i][2]==0.85){
div.style.backgroundColor="orangered"
}
else if(account[i][2]==0.75){
div.style.backgroundColor="orange"
}
else{
div.style.backgroundColor="yellow"
}
document.getElementById("account").appendChild(document.createElement('br'))
document.getElementById("account").appendChild(div)
var div1=document.createElement("div")
div1.classList.add("mychart")
div.appendChild(div1)
var img=document.createElement("img")
img.setAttribute("src",account[i][0])
img.style.width="68px"
img.style.height="60px"
img.style.marginTop="20px"
img.style.paddingLeft="20px"
div1.appendChild(img)
var div2=document.createElement("div")
div2.style.marginTop="-30px"
div2.style.marginLeft="90px"
div2.innerHTML=account[i][1]
div1.appendChild(div2)
var div3=document.createElement("div")
count=i+cnt
div3.setAttribute("id",("container-speed"+count))
div3.classList.add("chart-container")
div.appendChild(div3)
div.appendChild(document.createElement('br'))
var chartSpeed = Highcharts.chart(('container-speed'+count), Highcharts.merge(gaugeOptions, {
    yAxis: {
        min: 0,
        max: 100,
        title: {
            text: ''
        }
    },

    credits: {
        enabled: false
    },

    series: [{
        name: 'Speed',
        data: [account[i][2]*100],
		 color: '#FF0000',
        dataLabels: {
            format:
                '<div style="text-align:center">' +
                '<span style="font-size:15px">{y}%</span><br/>' +
                '</div>'
        }
    }]

}));
document.getElementById("container-speed"+count).getElementsByClassName("highcharts-background")[0].style.fill="red"

 if(account[i][2]==1){
document.getElementById("container-speed"+count).getElementsByClassName("highcharts-background")[0].style.fill="red"
}
else if(account[i][2]==0.85){
document.getElementById("container-speed"+count).getElementsByClassName("highcharts-background")[0].style.fill="orangered"

}
else if(account[i][2]==0.75){
document.getElementById("container-speed"+count).getElementsByClassName("highcharts-background")[0].style.fill="orange"

}
else{
document.getElementById("container-speed"+count).getElementsByClassName("highcharts-background")[0].style.fill="yellow"

}

}

cnt+=account.length
}	


});
}	</script>

	
	
 
</body>
</html>
